Hello,


I've just successfully installed the latest FreeBSD 5.0 but I'm having problems configuring my Nvidia Geforce4 video card. I've downloaded the drivers from nvidia's web site but having trouble compiling it, though minimal requrements are satisfied.

Here is the error message I get:

xera# make setup
===> module
cc -O -pipe -mcpu=pentiumpro
-I/usr/home/dt/downloads/NVIDIA_FreeBSD-1.0-3203/module/../src
-D__KERNEL__ -D
NV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=3203 -DNV_UNIX -DNV_BSD -DNVCPU_X86 -D_KER
NEL -Wall -Wredundant-decls -Wnested-externs
-Wstrict-prototypes -Wmissing-prototypes -Wpointer-arith -Win
line -Wcast-qual -fformat-extensions -ansi -DKLD_MODULE
-nostdinc -I- -I/usr/home/dt/downloads/NVIDIA_Fre
eBSD-1.0-3203/module/../src -I. -I@ -I@/dev -I@/../include
-fno-common -mno-align-long-strings -mpreferred
-stack-boundary=2 -ffreestanding -Wall -Wredundant-decls
-Wnested-externs -Wstrict-prototypes -Wmissing-pr
ototypes -Wpointer-arith -Winline -Wcast-qual -fformat-extensions -ansi -c /usr/home/dt/downloads/NVIDIA_F
reeBSD-1.0-3203/module/../src/nvidia_ctl.c
In file included from
/usr/home/dt/downloads/NVIDIA_FreeBSD-1.0-3203/src/nvidia_ctl.c:14:
/usr/home/dt/downloads/NVIDIA_FreeBSD-1.0-3203/src/nv-freebsd.h:31:2:
#error This driver does not support F
reeBSD 5.0/-CURRENT!
*** Error code 1

Stop in /usr/home/dt/downloads/NVIDIA_FreeBSD-1.0-3203/module.
*** Error code 1

Stop in /usr/home/dt/downloads/NVIDIA_FreeBSD-1.0-3203.



Any help is appreciated.



PS.If you have Nvidia card and have working XF86Config, please forward config information for the device.


To Unsubscribe: send mail to [EMAIL PROTECTED]
with "unsubscribe freebsd-questions" in the body of the message

Reply via email to